Subject: [Pce] Comments on draft-farrkingel-pce-abno-architecture-02

From: "Margaria, Cyril (NSN - DE/Munich)" <[email-masked]>
Date: Thu, 21 Feb 2013 20:11:18 +0000

Hi

I had a look to the document, I think this is a good document and a good base and reference 
for other documents. Please find my comments below, I did not go too much into the details, 
 I have to do more thinking on it.

 1) Figure 1 : the VNTM is connected to the PCE I believe, plus some small nit 
OLD:
   :  |   | +-+---++ | +----+-+  +-------+-------+  |    |   +---+---+ :
   :  |   | |ALTO  | +-+ VNTM |--+               |  |    |       |     :
   :  |   | |Server|   +--+-+-+  |               |  | +--+---+   |     :
   :  |   | +--+---+      | |    |      PCE      |  | | I2RS |   |     :
   :  |   |    |  +-------+ |    |               |  | |Client|   |     :
   :  |   |    |  |         |    |               |  | +-+--+-+   |     :
   :  | +-+----+--+-+       |    |               |  |   |  |     |     :
   :  | | Databases +-------:----+               |  |   |  |     |     :
   :  | |   TED     |       |    +-+---+----+----+  |   |  |     |     :
   :  | |  LSP-DB   +       |      |   |    |       |   |  |     |     :
   :  | +-----+--+--+     +-+---------------+-------+-+ |  |     |     :

NEW: 

   :  |   | +-+---++ | +----+-+  +-------+-------+  |    |   +---+---+ :
   :  |   | |ALTO  | +-+ VNTM +--+               |  |    |       |     :
   :  |   | |Server|   +--+-+-+  |               |  | +--+---+   |     :
   :  |   | +--+---+      | |    |      PCE      |  | | I2RS |   |     :
   :  |   |    |  +-------+ |    |               |  | |Client|   |     :
   :  |   |    |  |         |    |               |  | +-+--+-+   |     :
   :  | +-+----+--+-+       |    |               |  |   |  |     |     :
   :  | | Databases +-------:----+               |  |   |  |     |     :
   :  | |   TED     |       |    +-+---+----+----+  |   |  |     |     :
   :  | |  LSP-DB   |       |      |   |    |       |   |  |     |     :
   :  | +-----+--+--+     +-+---------------+-------+-+ |  |     |     :

2) Section 2.3.1.4:
I think it could be possible to reference to RFC5394/RC2753 to provide a link with existing IETF policy work
 OLD:
  "Simplicity in the figure necessitates leaving out many of the policy
   interactions that will take place.  Although the Policy Agent is only
   shown interacting with the ABNO Controller and the Virtual Network
   Topology Manager (VNTM), it will also interact with the Path
   Computation Element (PCE), the Interface to the Routing System (I2RS)
   Client, and the network elements themselves." 

NEW : "
   Simplicity in the figure necessitates leaving out many of the policy
   interactions that will take place.  Although the Policy Agent is only
   shown interacting with the ABNO Controller and the Virtual Network
   Topology Manager (VNTM), The Path
   Computation Element (PCE) , the Interface to the Routing System (I2RS)
   Client, and the network elements will also be PEP [RFC2753] and interact
   with the Policy Agent"

3) Section 2.3.1.7 :
In the active stateful PCE case, making the distinction between direct access and the provisioning manager does not seems necessary from an architecture point of view as the goal is to decouple the interfaces. Keeping only the provisioning manager  and removing the direct access does not exclude any solution from draft-crabbe-*

4) Databases : 
 I would see the database more near the end 
 
5) VNTM/Provisioning Manager : 
In RFC5623 the VNTM responsibility is dual : decide on new virtual/logical link and instantiate them in the server/client layers in this document the creation part is separated in the Provisioning manager (As the functionality is reused by several components). This could stated.

5) Section 2.3.2.1 /Section 2.3.2.6
 From the existing document I see the following missing items : 
  - I-D.crabbe-pce-pce-initiated-lsp
  - LDP
  - RSVP-TE
 The UNI protocol may be used to create connections in the network.  

6) Section 2.3.2.4
OLD
" - The ALTO protocol [I-D.ietf-alto-protocol] is deigned to distribute"
NEW
- The ALTO protocol [I-D.ietf-alto-protocol] is designed to distribute

7) On section 2.3.2.6, I do not think SNMP is that slow, I would like to propose a different text, which I find more in-line with the document goal of acting as a cookbook. 

OLD
"These mechanisms are not
 designed for rapid operation of a network and are not easily  programmatic.  They are not proposed for use by the Provisioning  Manager as part of the ABNO architecture."

NEW
"These mechanisms were not
 designed for rapid operation of a network and for easily  programmatic.  They are not recommended for use by the Provisioning  Manager as part of the ABNO architecture."

8) Same latter, I would indicate that those protocols are not recommended. NMS system tend to already use those protocol as part of their provisioning manager part. 

9) Regarding the active PCE part in ABNO the component responsible for requesting LSP to be instantiated in the network should only be the provisioning manager. This does not preclude any solution.

OLD:
"      The functional element that issues PCEP requests to establish
       LSPs is known as an "Active PCE", however it should be noted that
       the ABNO functional components responsible for requesting LSPs
       are more likely to be the Provisioning Manager, the Virtual
       Network Topology Manager, and the ABNO Controller itself."

New: 
"      The functional element that issues PCEP requests to establish
       LSPs is known as an "Active PCE", however it should be noted that
       the ABNO functional components responsible for requesting LSPs
       is the Provisioning Manager. Other controller like the Virtual
       Network Topology Manager, and the ABNO Controller itself are using it.
   
       The Provisioning Manager may use the PCEP or other protocol, but this is 
       considered as a separated abstract component.
"

10) Section 2.3.2.7 : 

LSP establishment notification would fall in the responsibility of the provisioning manager. 

OLD
   - Explicit notification of the successful establishment and the
     subsequent state of LSP can be provided through extensions to PCEP
     as described in [I-D.ietf-pce-stateful-pce] and
     [I-D.crabbe-pce-pce-initiated-lsp].
NEW
   - Explicit notification of the successful establishment and the
     subsequent state of LSP can be provided by Provisioning Manager. 
     Solution exist through extensions to PCEP
     as described in [I-D.ietf-pce-stateful-pce] and
     [I-D.crabbe-pce-pce-initiated-lsp].

11) Section 3.3

A small proposal:
"
 Bandwith Scheduling consist of configuring LSPs based on a given time schedule.
 This can be used to support maintenance or operational schedules or to adjust network  capacity based on traffic pattern detection. 
 
 In those scenario ABNO is used to coordinate the different components and helps  to minimize the impact on normal operations. Additionally the service time aspect  may be provided to the PCE to optimize the resource planning. 
"

Mit freundlichen Grüßen / Best Regards
Cyril Margaria

Nokia Siemens Networks Optical GmbH
St.Martin-Str. 76
D-81541 München
Germany
mailto:[email-masked]
Phone: +49-89-5159-16934
Fax:   +49-89-5159-44-16934
----------------------------------------------------------------
Nokia Siemens Networks Optical GmbH
Geschäftsleitung / Board of Directors: Gero Neumeier, Dr. Rolf Nauerz
Sitz der Gesellschaft: München / Registered office: Munich
Registergericht: München / Commercial registry: Munich, HRB 197143